# collections items remove

## Synopsis

```shell
omics publisher collections items remove
  --collection=COLLECTION_ID
  --datasource=DATASOURCE_ID
  --files=FILE|@FILE|STDIN
```

## Description

Remove files from a collection. Files can be specified as a comma-separated list, loaded from a file, or piped via stdin. After removing files, the collection will begin validation to update the collection's contents.

## Examples

Remove files using a comma-separated list.

```shell
omics publisher collections items remove \
  --collection my-collection \
  --datasource my-bucket \
  --files 'gs://bucket/file1.vcf,gs://bucket/file2.vcf'
```

Load files to remove from a text file.

```shell
omics publisher collections items remove \
  --collection my-collection \
  --datasource my-bucket \
  --files @files.txt
```

Pipe files from stdin.

```shell
cat files.txt | omics publisher collections items remove \
  --collection my-collection \
  --datasource my-bucket \
  --files -
```

## Flags

### `--collection`=`COLLECTION_ID`

The ID or slug name of the collection to remove files from.

### `--datasource`=`DATASOURCE_ID`

The ID of the data source where the files or folders reside, such as a bucket or storage location.

### `--files`=`FILE|@FILE|STDIN`

Specifies the files to be removed. Accepts:

* A comma-separated list of file URLs (e.g., `'file1.vcf,file2.vcf'`)
* A file path prefixed with `@` (e.g., `@files.txt`)
* Files piped via stdin (use `-` as the value)

Files can also be separated by newlines when loaded from a file or stdin.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/publisher/collections-items-remove.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
